[[topic-eip]]
= Topic EIP
:docTitle: Topic
:description: Topic load balancer The topic load balancer sends to all destinations (rather like JMS Topics)
:since: 
:supportLevel: Stable

Topic Load Balancer, with this policy you'll get a Topic behavior by sending to all destinations.

== Options

// eip options: START
The Topic EIP has no options.
// eip options: END

== Examples

In this case we are using the header test as correlation expression:

[source,java]
----
from("direct:start")
    .loadBalance()
    .topic()
    .to("seda:x", "seda:y", "seda:z");
----

In XML you'll have a route like this

[source,xml]
----
<from uri="direct:start"/>
    <loadBalance>
       <topic/>
       <to uri="seda:x"/>      
       <to uri="seda:y"/>      
       <to uri="seda:z"/>       
    </loadBalance> 
----
